MinimizationThread
Date: 2019-10-22

org.jmol.minimize

## Class MinimizationThread

- java.lang.Object
- - java.lang.Thread
  - - org.jmol.thread.JmolThread
    - - org.jmol.minimize.MinimizationThread

- All Implemented Interfaces:
    java.lang.Runnable

      public class MinimizationThread
      extends JmolThread

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private Minimizer` | `minimizer`

    - ### Fields inherited from class org.jmol.thread.JmolThread

      `CHECK1, CHECK2, CHECK3, currentTime, eval, FINISH, haveReference, hoverEnabled, INIT, isJS, isReset, lastRepaintTime, MAIN, name, sc, sleepTime, startTime, stopped, targetTime, useTimeout, vwr`

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MinimizationThread()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `oops(java.lang.Exception e)`
    `protected void` | `run1(int mode)`
    `int` | `setManager(java.lang.Object manager, Viewer vwr, java.lang.Object options)`

    - ### Methods inherited from class org.jmol.thread.JmolThread

      `checkInterrupted, interrupt, reset, resumeEval, run, runSleep, setEval, setViewer, start`

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, stop, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### minimizer

          private Minimizer minimizer

  - ### Constructor Detail

    - #### MinimizationThread

          public MinimizationThread()

  - ### Method Detail

    - #### setManager

          public int setManager(java.lang.Object manager,
                                Viewer vwr,
                                java.lang.Object options)

      Overrides:
        `setManager` in class `JmolThread`
      Returns:
        TODO

    - #### run1

          protected void run1(int mode)
                       throws java.lang.InterruptedException

      Specified by:
        `run1` in class `JmolThread`
      Throws:
        `java.lang.InterruptedException`

    - #### oops

          protected void oops(java.lang.Exception e)

      Overrides:
        `oops` in class `JmolThread`